﻿#reportPreview {
  --bs-card-spacer-y: 1rem;
  --bs-card-spacer-x: 1rem;
  --bs-card-title-spacer-y: 0.5rem;
  --bs-card-border-width: 1px;
  --bs-card-box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.03);
  --bs-card-inner-border-radius: calc(0.625rem - 1px);
  --bs-card-cap-padding-y: 0.5rem;
  --bs-card-cap-padding-x: 1rem;
  background-color: white;
  width: 8.25in;
  padding: 0 2rem 20px;
  border-radius: 0.625rem;
  flex-direction: column;
  word-wrap: break-word;
  background-clip: border-box;
  box-shadow: var(--bs-card-box-shadow);
}

#reportPreview.landscape {
  width: 9.5in;
}
#reportPreview {
  margin: 50px auto;
}

@media only screen and (max-device-width: 7.25in) {
  #reportPreview {
    width: 100%;
    padding: 0 15px;
  }
  #reportPreview.landscape {
    width: 100%;
  }
  #reportPreview {
    margin: 20px auto;
  }

  .toggle-landscape,
  .ciw-code-button.ciw-sharing-button {
    display: none;
  }

  .download-graph-data {
    display: none;
  }
}

.chart-item {
  margin-top: 30px;
}

.title-item {
  page-break-inside: avoid;
}

h2#reportTitle {
  margin-bottom: 0.75rem;
}

#reportSubtitle {
  font-size: 1.2rem;
}

.title-item {
  margin-bottom: 2rem;
  margin-top: 1rem;
}

.datepicker {
  z-index: 1051 !important; /* has to be larger than 1050 */
}

.space_lg {
  width: 100px;
}

a[href^="http://maps.google.com/maps"],
a[href^="https://maps.google.com/maps"],
a[href^="https://www.google.com/maps"]
{
  display: none !important;
}

.gmnoprint:not(.gm-bundled-control) {
  display: none;
}

button.gm-control-active {
  background-color: rgb(255 255 255 / 79%) !important;
  border-radius: 3px;
}

.gm-bundled-control .gmnoprint {
  display: block;
}

.gmnoprint a,
.gmnoprint span,
.gm-style-cc {
  display: none;
}

.gmnoprint div {
  background: none !important;
}

.report-modal {
  top: 30%;
}

#createReportBtn {
  border: 1px solid #3cb371;
}
.space_lg {
  width: 100px;
}

#editInsightModal .switch label {
  margin-bottom: 0;
}
#editInsightModal label.switch {
  margin-bottom: 3px;
}

.pull-right {
  float: right;
}

.download-graph-data {
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 0.8em;
}

@media print {
  html {
    background-color: #fff !important;
  }

  .hidden-print,
  .d-print-none {
    display: none !important;
  }

  @page {
    size: auto !important;
  }

  #reportPreview {
    background: none;
    /*max-width: 8.5in !important;*/
    margin: auto;
    padding-left: 0;
    padding-right: 0;
    box-shadow: none !important;
  }

  #reportPreview.landscape {
    max-width: 11in !important;
  }

  .clear-filter,
  .ModeSwitch,
  .asset-meta-actions,
  .mapLayerMenu-container {
    display: none;
  }

  #reportPreview {
    width: 100%;
  }

  .project-stats-outer .stat-block.col-lg-2 {
    width: 16.66666667%;
  }

  .project-stats-outer .stat-block.col-lg-1 {
    width: 8.33333334%;
  }

  .comment-left {
    display: none; /* Keep the default display none */
  }

  .comment-inner {
    display: flex;
    align-items: flex-start; /* Align items at the top */
    flex-wrap: wrap; /* Prevent wrapping */
  }

  .comment-right {
    flex: 1; /* Allow the comment text to take up the remaining space */
  }

  .comment-children {
    flex-basis: 100%; /* Make sure children take up full width */
    margin-left: 25px; /* Indent the child comments for clarity */
    margin-top: 10px; /* Add some space between child comments */
  }

  /* If a comment is from a map pin question, we may render "mini maps" to the left of comment and we need to print these. */
  .comment-left.has-mini-map {
    display: block; /* Show the map only if it has the mini map */
    flex: 0 0 auto; /* Allow the map to take up its content width */
  }

  .has-mini-map ~ .comment-children {
    margin-left: 175px; /* Indent the child comments inside of the map */
  }

  .comment-right span.comment-text-body {
    background: none;
    border-radius: 0;
    border-top: 1px solid #d7d7d7;
  }

  .comment-display-outer.no-up-votes.no-flag {
    border-top: none;
  }

  .has-attachments .comment-attachments {
    background: none;
  }

  /* Prevent charts from getting cutoff */
  .chart-item-container {
    break-inside: avoid !important;
  }

  /* Allow each comment to overflow to the next page */
  .chart-comments-container {
    break-inside: auto !important;
  }

  .filter-name input {
    border: none;
  }

  .chart-comments .comment-div .comment-right span.comment-text-body {
    background: none;
    border-radius: 0;
    border-top: 1px solid #d7d7d7;
  }

  /* When .expand-box is present, target hiding the border on the second .comment-div */
  .chart-comments
    .expand-box
    + .comment-div
    .comment-right
    span.comment-text-body {
    border-top: none;
  }

  /* When .expand-box is not present, target hiding the border on the first .comment-div */
  .chart-comments
    .comment-div:first-of-type
    .comment-right
    span.comment-text-body {
    border-top: none;
  }
}

.freeform-content img {
  max-width: 100%;
}

/*Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
  .freeform-content .save-button-wrapper {
    position: relative;
  }

  .freeform-content .save-button-wrapper .js-save-freeform-btn {
    position: absolute;
    top: 0;
    right: -150px;
  }
}

body.scale-2x {
  transform: scale(1.5);
}

body.scale-2x #reportPreview {
  width: 14.5in;
}

.chart-item.rendering .insight-filter-container button,
.chart-item.rendering .insight-filter-container a,
.chart-item.rendering .asset-meta-actions,
.chart-item.rendering .d-print-none,
.chart-item.rendering .noprint {
  display: none;
}

.chart-item.rendering .average-bar-label .hover-action {
  display: inline-block;
}

.ModeSwitch {
  position: absolute;
  top: 10px;
  left: 10px;
  background: #1aae88;
  outline: 0;
  border: 0;
  border-radius: 2px;
  line-height: 24px;
  padding: 1px 12px;
  color: #ffffff;
  box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
}

td.legendLabel {
  color: #333;
}

#reportPreview .map-container .cluster img {
  left: 0;
}

.chart-comments-by-agenda-item .comment-outer {
  border: 1px solid rgba(0, 0, 0, 0.12);
  text-align: left;
  padding: 15px;
}

.chart-comments-by-agenda-item .comment-attachments {
  margin: 0;
}

.chart-comments-by-agenda-item .comment-text {
  margin-top: 9px;
}

.chart-comments-by-agenda-item .comment-user-info {
  color: #424242;
  font-weight: 600;
}

.chart-comments-by-agenda-item .agenda-item-title {
  padding: 10px 15px 10px 0px;
  color: #333;
  text-align: left;
  font-weight: 600;
}

.chart-comments-by-agenda-item .comment-attachments a {
  display: block;
  color: #005fff;
  text-decoration: underline;
}

.chart-comments-by-agenda-item .comment-attachments {
  margin-top: 8px;
}

.chart-description .offline-event-title {
  font-size: 1.3em;
}

@media (max-width: 768px) {
  .matrix-outer-table thead {
    display: none;
  }
}
.agenda-item-disposition-title {
  text-align: left;
}

/* Switch toggle styles for modal */
.switch-on {
  background-color: #1aae88 !important;
}

.switch.small .switch-on:after {
  left: 13px !important;
}

.switch .switch-on:after {
  left: 31px !important;
}
